Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.plugins.eclipse.model
[Groovy] Class Project

    java.lang.Object
      org.gradle.api.internal.tasks.generator.XmlPersistableConfigurationObject
          org.gradle.plugins.eclipse.model.Project

    class Project
    extends XmlPersistableConfigurationObject

Represents the customizable elements of an eclipse project file. (via XML hooks everything is customizable).

Authors:
  Hans Dockter

Field Summary
`static java.lang.String` | `PROJECT_FILE_NAME`

Property Summary
`java.util.List` | `buildCommands` The build commands to be added to this Eclipse project.
`java.lang.String` | `comment` A comment used for the eclipse project
`java.util.Set` | `links` The links to be added to this Eclipse project.
`java.lang.String` | `name` The name used for the name of the eclipse project
`java.util.List` | `natures` The natures to be added to this Eclipse project.
`java.util.Set` | `referencedProjects` The referenced projects of this Eclipse project.

Constructor Summary
`Project(XmlTransformer xmlTransformer)`

Method Summary
`java.lang.Object` | `configure(EclipseProject eclipseProjectTask)`
`boolean` | `equals(java.lang.Object o)`
`protected java.lang.String` | `getDefaultResourceName()`
`int` | `hashCode()`
`protected void` | `load(groovy.util.Node xml)`
`protected void` | `store(groovy.util.Node xml)`
`java.lang.String` | `toString()`

Field Detail

### PROJECT_FILE_NAME

    public static final java.lang.String PROJECT_FILE_NAME

Property Detail

### buildCommands

    java.util.List buildCommands

  The build commands to be added to this Eclipse project.

### comment

    java.lang.String comment

  A comment used for the eclipse project

### links

    java.util.Set links

  The links to be added to this Eclipse project.

### name

    java.lang.String name

  The name used for the name of the eclipse project

### natures

    java.util.List natures

  The natures to be added to this Eclipse project.

### referencedProjects

    java.util.Set referencedProjects

  The referenced projects of this Eclipse project.

Constructor Detail

### Project

    Project(XmlTransformer xmlTransformer)

Method Detail

### configure

    java.lang.Object configure(EclipseProject eclipseProjectTask)

### equals

    boolean equals(java.lang.Object o)

### getDefaultResourceName

    @Override
    protected java.lang.String getDefaultResourceName()

### hashCode

    int hashCode()

### load

    @Override
    protected void load(groovy.util.Node xml)

### store

    @Override
    protected void store(groovy.util.Node xml)

### toString

    java.lang.String toString()

Groovy Documentation